Subject: Re: GraphicsMagick build on cygwin
From: marco atzeri <[email-masked]>
To: john grant <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Mon, 21 Mar 2011 09:46:03 +0100
List-Id: <cygwin.cygwin.com>

2011/3/21 Tatsuro MATSUOKA :
> For Cygwin distribution, it is better to ask at the cygwin ML but not here.
>
> Regards
>
> Tatsuro
> --- john grant  wrote:
>
>> Hi,
>> I'm trying to load a .JPG file with octave 3.4 on cygwin (Vista). I get the
>> following error. Thanks for any tips.
>> John
>>
>> octave:1> imfinfo('office_lowres.JPG')
>> warning: your version of GraphicsMagick limits images to 16 bits per pixel
>> error: Magick++ exception: Magick: No decode delegate for this image format ()
>> reported by
>>
> /pub/cygports/graphicksmagick/GraphicsMagick-1.3.12-1/src/GraphicsMagick-1.3.12/magick/constitute.c:8279
>>  (ReadImage)
>>
>>
>>
>
>

currently GM on cygwin is built as

-----------------------------------------------
$ gm -version
GraphicsMagick 1.3.12 2010-03-08 Q16 http://www.GraphicsMagick.org/
Copyright (C) 2002-2010 GraphicsMagick Group.
Additional copyrights and licenses apply to this software.
See http://www.GraphicsMagick.org/www/Copyright.html for details.

Feature Support:
  Thread Safe              yes
  Large Files (> 32 bit)   yes
  Large Memory (> 32 bit)  no
  BZIP                     yes
  DPS                      no
  FlashPix                 no
  FreeType                 yes
  Ghostscript (Library)    no
  JBIG                     yes
  JPEG-2000                yes
  JPEG                     yes
  Little CMS               yes
  Loadable Modules         yes
  OpenMP                   no
  PNG                      yes
  TIFF                     yes
  TRIO                     no
  UMEM                     no
  WMF                      yes
  X11                      yes
  XML                      yes
  ZLIB                     yes
Host type: i686-pc-cygwin

Configured using the command:
  /pub/cygports/graphicksmagick/GraphicsMagick-1.3.12-2/src/GraphicsMagick-1.3.12/configure
 '--srcdir=/pub/cygports/graphicksmagick/GraphicsMagick-1.3.12-2/src/GraphicsMagick-1.3.12'
'--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin'
'--sbindir=/usr/sbin' '--libexecdir=/usr/lib' '--datadir=/usr/share'
'--localstatedir=/var' '--sysconfdir=/etc' '--datarootdir=/usr/share'
'--docdir=/usr/share/doc/GraphicsMagick' '-C' '--enable-shared'
'--with-perl' '--with-quantum-depth=16' '--disable-openmp' 'CC=gcc'
'CFLAGS=-g -O2 -pipe ' 'LDFLAGS=' 'LIBS=' 'CPPFLAGS=' 'CXX=g++'
'CXXFLAGS=-g -O2 -pipe '

Final Build Parameters:
  CC       = gcc -std=gnu99
  CFLAGS   = -g -O2 -pipe -Wall
  CPPFLAGS = -I/usr/include/freetype2 -I/usr/include/libxml2
  CXX      = g++
  CXXFLAGS = -g -O2 -pipe
  LDFLAGS  = -L/usr/lib -L/usr/lib
  LIBS     = -ljbig -llcms -ltiff -lfreetype -ljasper -ljpeg -lpng
-lwmflite -lXext -lSM -lICE -lX11 -lbz2 -lxml2 -lz -lgdi32 -lm
-lpthread
---------------------------------------------------------

I will look at Q32 for GM

Marco

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple